コンテンツにスキップ
Docs
Esc
↑↓移動↵開く⌘Jプレビュー

接続中のアカウントと販売できる状態を取得する

GET/account
認証
AuthorizationBearer トークン · header必須

管理画面または CLI の cozeni login で発行したクリエイターAPIキー。購入者認証には使わない。

レスポンス
200

認証したキーの所有者・権限・環境と、販売可否(sales)。

creator_idstring必須
api_key_idstring必須
scopesstring[]必須
environmentstring必須
api_versionstring必須
許可される値:v1
salesExternalSales必須
プロパティを表示
can_sellboolean必須
blockersExternalSalesBlocker[]必須
プロパティを表示
ExternalSalesBlocker の配列
いずれか 1 つ:
object
codestring必須
許可される値:review_not_submittedreview_pendingstripe_not_connectedstripe_onboarding_incompletestripe_verification_pending
action_urlstring<uri>必須
object
codestring必須
許可される値:review_rejected
action_urlstring<uri>必須
rejectionobject必須
プロパティを表示
reason_codestring必須
許可される値:tokushoho_missing_contacttokushoho_unreachablewebsite_unreachabledescription_insufficientprohibited_contentother
notestring | null必須
warningsstring[]必須
400

invalid_input。未知フィールド、無効なcursor・入力を含む。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
401

unauthorized。失効、期限切れ、環境違いを含む。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
403

insufficient_scope。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
404

product_not_found / checkout_link_not_found。他人の商品も404。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
409

idempotency_conflict / product_archived / checkout_link_disabled。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
429

rate_limited。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
500

internal。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
503

unavailable。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
リクエスト
curl -X GET 'https://api.cozeni.net/external/v1/account' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
レスポンス
{
  "creator_id": "string",
  "api_key_id": "string",
  "scopes": [
    "products:read"
  ],
  "environment": "string",
  "api_version": "v1",
  "sales": {
    "can_sell": true,
    "blockers": [
      {
        "code": "review_not_submitted",
        "action_url": "http://example.com"
      }
    ],
    "warnings": [
      "payouts_disabled"
    ]
  }
}

このページは役に立ちましたか?